1
vote
1answer
44 views

dependency error when run apt-get -f install in debian squeeze

I can't install or remove packages in Debian. When I type apt-get -f install to fix the problem I get this error: Reading package lists... Done Building dependency tree Reading state ...
1
vote
0answers
26 views

Aptitude - uninstalling autoinstalled packages that are recommended by other packages

I am running a Debian Wheezy install on a system where space is tight. Hence, I've turned off the "Automatically install recommended packages" option. The problem occurs if I install a package which ...
3
votes
2answers
34 views

Why am I getting so many hits searching for “git” in the aptitude cache?

When I give the following command: apt-cache search git | wc -l I get the answer 756. How can I list just the half-dozen or so apps associated with git?
3
votes
2answers
1k views

What packages are installed by default in Debian? Is there a term for that set? Why some of those packages are `automatically installed` and some not?

It's a very simple question, but I wonder, is there a term to refer to the subset of packages that is automatically installed by Debian distribution? I though that it had something to do with ...
1
vote
2answers
142 views

Uninstalling software packages, without removing the downloaded .deb in apt-cache?

Currently I am running Wheezy 32-bit, and recently I installed FreeSWITCH from the official repos. However, I realized that for the purpose I had in mind, I needed to rebuild FreeSWITCH myself, from ...
2
votes
1answer
302 views

Can't Install netflix-desktop in Debian…Aptitude Has Unmet/Broken Dependencies

I'm trying to install the netflix-desktop package in Debian 'jessie'. I was able to get this to work on my laptop running Debian 'wheezy' a few months ago, but on my desktop I keep running into these ...
2
votes
2answers
2k views

Can I rollback an apt-get upgrade if something goes wrong?

Is there a way, before starting an aptitude upgrade or apt-get upgrade, to set up something so that you can "easily" rollback your system to the "apt" state it was before the actual upgrade, if ...
2
votes
0answers
219 views

Why I was able to fix a broken package with aptitude but I could not with either apt-get or synaptic?

Yesterday I upgraded my Debian Testing and Audacious stopped to work. Troubleshooting I found that the problem was that it was updated to a recent version but the needed plugins were not. I tried to ...
3
votes
1answer
2k views

How do I fix these broken dependencies?

aptitude tells me I have some packages with broken dependencies: kmiller@debian-dev-box:~$ sudo aptitude search '.*' | grep ^.B iB console-setup-linux - Linux specific part of ...
14
votes
2answers
521 views

Why do package names contain version numbers?

While working with Ubuntu and other Debian-based distros, I've noticed that packages in the software repos often contain the major version number. For example, Apache: apache2 Tomcat: tomcat7 PHP: ...
5
votes
2answers
635 views

How do I find installed packages that have no install candidate?

I'd like to retrieve a list of installed packages that have no install candidate (e.g., because I removed an apt source file entry). How would I do that on Debian-based systems?
9
votes
4answers
749 views

How can I reliably “hold” a package in Debian?

I have a package in Debian that has been manually patched (not ideal, I know) that I must hold at its current version so upgrades don't overwrite the patched changes (I will manually inspect and apply ...
6
votes
1answer
4k views

How to install some packages from “unstable” Debian on a computer running “stable” Debian?

On a computer running "stable" Debian, when trying to install a package which is in the unstable list on the Debian web site using the "aptitude install /unstable" command, I get output similar to ...
7
votes
4answers
15k views

Removing broken packages

Recently in a bout of frustration with getting phpmyadmin setup, I decided to start from scratch. Unfortunately, during the uninstall phase, I was prompted with the root password for mysql which I ...
74
votes
3answers
92k views

Check package version using apt-get/aptitude?

Before I install a package I'd like to know what version i would get. How do I check the version before installing using apt-get or aptitude on debian or ubuntu?
115
votes
9answers
33k views

What is the real difference between “apt-get” and “aptitude”? (How about “wajig”?)

I know that both apt-get and aptitude are command line package management interfaces on Debian derived Linux, with different options, but I'm still somewhat confused. Under the hood, aren't they ...